ResourceValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.ResourceValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class ResourceValue

    java.lang.Object
      org.hyperic.hq.authz.shared.ResourceValue

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceValue

extends java.lang.Object
implements java.io.Serializable

Value object for Resource.

See Also:
  Serialized Form

Constructor Summary
`ResourceValue()`
`ResourceValue(ResourceValue otherValue)`
`ResourceValue(java.lang.String sortName, java.lang.Integer instanceId, boolean system, java.lang.String name, java.lang.Integer id)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`AuthzSubject` | `getAuthzSubjectValue()`
`java.lang.Integer` | `getId()`
`java.lang.Integer` | `getInstanceId()`
`java.lang.String` | `getName()`
`ResourceType` | `getResourceType()`
`java.lang.String` | `getSortName()`
`boolean` | `getSystem()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `instanceIdHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `nameHasBeenSet()`
`void` | `setAuthzSubjectValue(AuthzSubject AuthzSubjectValue)`
`void` | `setId(java.lang.Integer id)`
`void` | `setInstanceId(java.lang.Integer instanceId)`
`void` | `setName(java.lang.String name)`
`void` | `setResourceType(ResourceType ResourceTypeValue)`
`void` | `setSortName(java.lang.String sortName)`
`void` | `setSystem(boolean system)`
`boolean` | `sortNameHasBeenSet()`
`boolean` | `systemHasBeenSet()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceValue

    public ResourceValue()

### ResourceValue

    public ResourceValue(java.lang.String sortName,
                         java.lang.Integer instanceId,
                         boolean system,
                         java.lang.String name,
                         java.lang.Integer id)

### ResourceValue

    public ResourceValue(ResourceValue otherValue)

Method Detail

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getInstanceId

    public java.lang.Integer getInstanceId()

### setInstanceId

    public void setInstanceId(java.lang.Integer instanceId)

### instanceIdHasBeenSet

    public boolean instanceIdHasBeenSet()

### getSystem

    public boolean getSystem()

### setSystem

    public void setSystem(boolean system)

### systemHasBeenSet

    public boolean systemHasBeenSet()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### idHasBeenSet

    public boolean idHasBeenSet()

### getResourceType

    public ResourceType getResourceType()

### setResourceType

    public void setResourceType(ResourceType ResourceTypeValue)

### getAuthzSubjectValue

    public AuthzSubject getAuthzSubjectValue()

### setAuthzSubjectValue

    public void setAuthzSubjectValue(AuthzSubject AuthzSubjectValue)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.